Package: epiphany-browser / 3.38.2-1

Metadata

Package Version Patches format
epiphany-browser 3.38.2-1 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
00_epiphany browser.patch | (download)

meson.build | 6 3 + 3 - 0 !
1 file changed, 3 insertions(+), 3 deletions(-)

 install as epiphany-browser not epiphany


07_bookmarks.patch | (download)

data/default-bookmarks.rdf.in | 17 17 + 0 - 0 !
1 file changed, 17 insertions(+)

 add default bookmarks for debian


dont make compulsory.patch | (download)

data/org.gnome.Epiphany.appdata.xml.in.in | 1 0 + 1 - 0 !
1 file changed, 1 deletion(-)

 appdata: don't mark as compulsory for gnome

Upstream mark it as a system application that cannot be removed, because
it's GNOME's default web browser, but our default in Debian is Firefox.

Allow users to uninstall this app if they wish.

build Allow libportal support to be disabled.patch | (download)

lib/ephy-flatpak-utils.c | 9 9 + 0 - 0 !
meson.build | 26 14 + 12 - 0 !
meson_options.txt | 6 6 + 0 - 0 !
3 files changed, 29 insertions(+), 12 deletions(-)

 build: allow libportal support to be disabled

It isn't clear whether the API/ABI of libportal are entirely stable yet
(https://github.com/flatpak/libportal/issues/33) so it is not necessarily
appropriate for longer-term-supported OS distributions to include it.
When building a version of epiphany for a distribution package, which is
only intended to be packaged in a format other than as a Flatpak app,
libportal isn't necessary anyway.

libportal is also Linux-specific, so non-Linux OSs will likely want to
disable it (even if it might compile successfully).

Signed-off-by: Simon McVittie <smcv@debian.org>